How to run a legacy URScript program with URCap installed

This article covers how to run legacy robot programs (Pickit 1.7 or older) on a robot that has the Pickit URCap plugin installed, and Pickit 1.8 or newer.

For new robot programs, we recommend using the Pickit URCap plugin. However, it might still be the case that you have programs written for Pickit versions 1.7 or older, which predate the URCap plugin. Instead of having to migrate your programs to the new Pickit interface, you can still run them by simply disabling the plugin. There is no need to uninstall it.

To disable the Pickit URCap plugin, go to the main screen, Program Robot and select the Installation tab. The configuration screen of the plugin is accessible by selecting Pickit on the left panel. Make sure that Enable Pickit plugin is unchecked, as shown below.

../../_images/disable-urcap.png

If at a later moment you want to run a program that uses the Pickit URCap plugin, you only need to re-enable the plugin.